Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGNumberList

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGList
          org.apache.batik.dom.svg.AbstractSVGNumberList

All Implemented Interfaces:
  SVGNumberList

Direct Known Subclasses:
  SVGOMAnimatedNumberList.SVGOMNumberList

public abstract class AbstractSVGNumberList
extends AbstractSVGList
implements SVGNumberList

This class is the implementation of `SVGNumberList`.

Nested Class Summary
`protected class` | `AbstractSVGNumberList.NumberListBuilder` Helper class to interface the `NumberListParser` and the `NumberHandler`
`protected class` | `AbstractSVGNumberList.SVGNumberItem` Representation of the item SVGNumber.

Nested classes inherited from class org.apache.batik.dom.svg.AbstractSVGList
`AbstractSVGList.ListBuilder`

Field Summary
`static java.lang.String` | `SVG_NUMBER_LIST_SEPARATOR` Separator for a length list.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGList
`itemList, valid`

Constructor Summary
`protected` | `AbstractSVGNumberList()` Creates a new SVGNumberList.

Method Summary
`SVGNumber` | `appendItem(SVGNumber newItem)`
`protected void` | `checkItemType(java.lang.Object newItem)` Check if the item is an SVGNumber
`protected abstract SVGException` | `createSVGException(short type, java.lang.String key, java.lang.Object[] args)` Create an SVGException when the checkItemType fails.
`protected SVGItem` | `createSVGItem(java.lang.Object newItem)` Return the item to be placed in the list.
`protected void` | `doParse(java.lang.String value, ListHandler handler)` Parse the attribute associated with this SVGNumberList.
`protected abstract org.w3c.dom.Element` | `getElement()` return the element owning this SVGNumberList.
`SVGNumber` | `getItem(int index)`
`protected java.lang.String` | `getItemSeparator()` Return the separator between values in the list.
`SVGNumber` | `initialize(SVGNumber newItem)`
`SVGNumber` | `insertItemBefore(SVGNumber newItem, int index)`
`SVGNumber` | `removeItem(int index)`
`SVGNumber` | `replaceItem(SVGNumber newItem, int index)`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGList
`appendItemImpl, clear, clear, createDOMException, getItemImpl, getNumberOfItems, getValueAsString, initializeImpl, insertItemBeforeImpl, invalidate, itemChanged, removeIfNeeded, removeItem, removeItemImpl, replaceItemImpl, resetAttribute, resetAttribute, revalidate, setAttributeValue, setValueAsString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.svg.SVGNumberList
`clear, getNumberOfItems`

Field Detail

### SVG_NUMBER_LIST_SEPARATOR

    public static final java.lang.String SVG_NUMBER_LIST_SEPARATOR

  Separator for a length list.

  See Also:
    Constant Field Values

Constructor Detail

### AbstractSVGNumberList

    protected AbstractSVGNumberList()

  Creates a new SVGNumberList.

Method Detail

### getItemSeparator

    protected java.lang.String getItemSeparator()

  Return the separator between values in the list.

  Specified by:
    `getItemSeparator` in class `AbstractSVGList`
  Returns:
    separator of items in the list

### createSVGException

    protected abstract SVGException createSVGException(short type,
                                                       java.lang.String key,
                                                       java.lang.Object[] args)

  Create an SVGException when the checkItemType fails.

  Returns:
    SVGException

### getElement

    protected abstract org.w3c.dom.Element getElement()

  return the element owning this SVGNumberList.

### initialize

    public SVGNumber initialize(SVGNumber newItem)
                         throws org.w3c.dom.DOMException,
                                SVGException

  Specified by:
    `initialize` in interface `SVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### getItem

    public SVGNumber getItem(int index)
                      throws org.w3c.dom.DOMException

  Specified by:
    `getItem` in interface `SVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`

### insertItemBefore

    public SVGNumber insertItemBefore(SVGNumber newItem,
                                      int index)
                               throws org.w3c.dom.DOMException,
                                      SVGException

  Specified by:
    `insertItemBefore` in interface `SVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### replaceItem

    public SVGNumber replaceItem(SVGNumber newItem,
                                 int index)
                          throws org.w3c.dom.DOMException,
                                 SVGException

  Specified by:
    `replaceItem` in interface `SVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### removeItem

    public SVGNumber removeItem(int index)
                         throws org.w3c.dom.DOMException

  Specified by:
    `removeItem` in interface `SVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`

### appendItem

    public SVGNumber appendItem(SVGNumber newItem)
                         throws org.w3c.dom.DOMException,
                                SVGException

  Specified by:
    `appendItem` in interface `SVGNumberList`
  Throws:
    `org.w3c.dom.DOMException`
    `SVGException`

### createSVGItem

    protected SVGItem createSVGItem(java.lang.Object newItem)

  Description copied from class: `AbstractSVGList`
  Return the item to be placed in the list. According to the parameter of the real SVGList represented here by an `Object` the implementation provide an item to be placed in the list.

  Specified by:
    `createSVGItem` in class `AbstractSVGList`
  Parameters:
    `newItem` - paramter of the modification method of the list
  Returns:
    an item to be placed in the list.

### doParse

    protected void doParse(java.lang.String value,
                           ListHandler handler)
                    throws ParseException

  Parse the attribute associated with this SVGNumberList.

  Specified by:
    `doParse` in class `AbstractSVGList`
  Parameters:
    `value` - attribute value
    `handler` - list handler
  Throws:
    `ParseException`

### checkItemType

    protected void checkItemType(java.lang.Object newItem)
                          throws SVGException

  Check if the item is an SVGNumber

  Specified by:
    `checkItemType` in class `AbstractSVGList`
  Parameters:
    `newItem` - object to test
  Throws:
    `SVGException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.